/*
* @Author: Rot
* @Date:   2017-11-07 00:31:31
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-06 17:00:38
*/
fixed-header, .ge-practice-content { margin: auto; width: var(--ge-main-small-width);}

input[type="radio"], input[type="checkbox"] { display: none; }

input[type="radio"] + .ge-mark-type {
    width: 18px;
    height: 18px;
	min-width: 18px;
	min-height: 18px;
	margin-right: 12px;
	border-radius: 100%;
	border: 1px solid rgba(0,0,0,.84);
}

input[type="radio"]:checked + .ge-mark-type span {
    left: 2px;
    bottom: 1px;
    min-width: 12px;
    min-height: 12px;
	position: relative;
    border-radius: 100%;
    display: inline-block;
    background-color: var(--ge-primary-color);
}

input[type="checkbox"] + .ge-mark-type {
    width: 18px;
    height: 18px;
	min-width: 18px;
	min-height: 18px;
	margin-right: 12px;
    border-radius: 2px;
	border: 1px solid rgba(0,0,0,.84);
}

input[type="checkbox"]:checked + .ge-mark-type span {
    left: 3px;
    bottom: 5px;
    min-width: 10px;
    min-height: 7px;
    position: relative;
    border: 2.2px solid var(--ge-primary-color);
    border-top: none;
    border-right: none;
    display: inline-block;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

input:checked + .ge-mark-type {
	border-color: var(--ge-primary-color);
}
.ge-time { height: 48px; }
ge-question h4 { font-size: 18px; }
.ge-top-16 { padding-top: 16px; }
.ge-text { padding-top: 6px; padding-bottom: 6px; }

.ge-question-space {
	padding-top: 20px;
    padding-bottom: 25px;
}

.ge-time span {
    display: inline-block;
    font-size: 1.8em;
    padding: 0 10px;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.2);
}

ge-data:not(:last-child) .ge-question-space {
	
    border-bottom: 1px solid var(--ge-primary-border-color);
}

.ge-stt {
	text-transform: uppercase;
    color: var(--ge-primary-text-color);
    font-size: 14px;
    cursor: pointer;
    display: inline-block;
    margin-right: 8px;
}
.ge-stt span, [ge-message] span, .ge-question-note span { padding-right: 4px; }
.ge-answer-text { text-align: left; word-break: break-word; }
.ge-question { display: inline-block; max-width: 712px; }
.ge-answer-line { padding-bottom: 16px; }
.ge-message-box { position: fixed; right: 12px; bottom: 12px; display: none; }
.ge-card-box {box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16), 0 0 0 1px rgba(0,0,0,0.08);
    border-radius: 2px; }
.ge-message { padding: 8px 16px; }
.ge-note + div { color: crimson; margin-top: 4px; }
.ge-question-note { color: var(--ge-primary-text-color); text-transform: uppercase; }
[contenteditable] + .ge-absolute { display: none; }
.ge-question-content .ge-paragraph { font-size: inherit;position: relative; z-index: 1;}